> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/caf-api-pt-br/core-api/transaction-details/services/image-similarity-check.md).

# Verificação de similaridade de imagens

Verifique se a selfie que você enviou já foi enviada.

**Seção**: `imageSimilarityCheck`

**Arquivos obrigatórios:** `selfie`

{% tabs %}
{% tab title="Esquema" %}

| Atributo         | Tipo    | Descrição                                                                                                                           |
| ---------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| código de status | String  | Status da consulta ([detalhes](/caf-api/caf-api-pt-br/core-api/transaction-details/background-check/data-structure.md#status-code)) |
| dados            | Objeto  | Dados de retorno                                                                                                                    |
| data.message     | String  | Mensagem da consulta                                                                                                                |
| data.isSimilar   | Boolean | Resposta de similaridade                                                                                                            |
| {% endtab %}     |         |                                                                                                                                     |

{% tab title="Exemplo" %}

```json
{
  "imageSimilarityCheck": {
    "statusCode": "01",
    "data": {
      "message": "Consulta realizada com sucesso",
      "isSimilar": true
    }
  }
}
```

{% endtab %}

{% tab title="Regras de validação" %}

| Regra                      | Descrição                                                                                                           |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| selfie\_nao\_é\_semelhante | Verifique se a selfie que você enviou não é semelhante a nenhuma outra selfie que você tenha enviado anteriormente. |
| {% endtab %}               |                                                                                                                     |
| {% endtabs %}              |                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/caf-api-pt-br/core-api/transaction-details/services/image-similarity-check.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
